Package org.kie.internal.ruleunit

## Interface RuleUnitDescription

-     public interface RuleUnitDescription

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCanonicalName()` |
    `org.kie.api.runtime.conf.ClockTypeOption` | `getClockType()` |
    `java.util.Optional<java.lang.Class<?>>` | `getDatasourceType​(java.lang.String name)` |
    `default java.lang.String` | `getEntryPointName​(java.lang.String name)` |
    `java.util.Collection<org.kie.api.conf.KieBaseOption>` | `getKieBaseOptions()` |
    `java.lang.String` | `getPackageName()` |
    `default java.lang.Class<?>` | `getRuleUnitClass()` |
    `java.lang.String` | `getRuleUnitName()` |
    `java.lang.String` | `getSimpleName()` |
    `java.util.Collection<? extends RuleUnitVariable>` | `getUnitVarDeclarations()` |
    `java.util.Collection<java.lang.String>` | `getUnitVars()` |
    `RuleUnitVariable` | `getVar​(java.lang.String name)` |
    `java.util.Optional<java.lang.reflect.Type>` | `getVarType​(java.lang.String name)` |
    `boolean` | `hasDataSource​(java.lang.String name)` |
    `boolean` | `hasVar​(java.lang.String name)` |

- - ### Method Detail

    - #### getRuleUnitClass

          default java.lang.Class<?> getRuleUnitClass()

    - #### getRuleUnitName

          java.lang.String getRuleUnitName()

    - #### getCanonicalName

          java.lang.String getCanonicalName()

    - #### getSimpleName

          java.lang.String getSimpleName()

    - #### getPackageName

          java.lang.String getPackageName()

    - #### getEntryPointName

          default java.lang.String getEntryPointName​(java.lang.String name)

    - #### getDatasourceType

          java.util.Optional<java.lang.Class<?>> getDatasourceType​(java.lang.String name)

    - #### getVarType

          java.util.Optional<java.lang.reflect.Type> getVarType​(java.lang.String name)

    - #### getVar

          RuleUnitVariable getVar​(java.lang.String name)

    - #### hasVar

          boolean hasVar​(java.lang.String name)

    - #### getUnitVars

          java.util.Collection<java.lang.String> getUnitVars()

    - #### getUnitVarDeclarations

          java.util.Collection<? extends RuleUnitVariable> getUnitVarDeclarations()

    - #### hasDataSource

          boolean hasDataSource​(java.lang.String name)

    - #### getClockType

          org.kie.api.runtime.conf.ClockTypeOption getClockType()

    - #### getKieBaseOptions

          java.util.Collection<org.kie.api.conf.KieBaseOption> getKieBaseOptions()